Results 1 to 2 of 2

Thread: Compiling wesnoth-1.10.5 fail on openSUSE12.2

  1. #1

    Red face Compiling wesnoth-1.10.5 fail on openSUSE12.2

    Hello everyone,I want to compile wesnoth-1.10.5 on my openSUSE 12.2. I've successfully compiled wesnoth-1.10.5 under Ubuntu 11.10,so I don't think it a big problem.However,I got these error messages,and I don't know how to get things right:

    Code:
    scons: Reading SConscript files ...
    Saved options: default_targets = 'wesnoth,wesnothd'
    Building Wesnoth version 1.10.5
    Checking for C header file poll.h... yes
    Checking for C header file sys/poll.h... yes
    Checking for C header file sys/select.h... yes
    Checking for C header file sys/sendfile.h... yes
    Checking for C function sendfile()... yes
    Checking for C library m... yes
    Checking for C function round()... yes
    Checking whether C++ compiler works (g++ version >= 3.3 required)... yes
    Checking for Gettext's libintl... libc built-in
    Checking for Boost iostreams library version >= 1.34.1... yes
    Checking for gzip support in Boost Iostreams... yes
    Checking for Boost smart_ptr library... yes
    Checking for Simple DirectMedia Layer library version >= 1.2.7... yes
    Checking for SDL_net library... yes
    Checking for Boost system library... yes
    Checking for Boost thread library... yes
    Checking for Boost asio library... yes
    Checking for Pango with cairo backend... (cached) yes
    Checking for fontconfig... (cached) yes
    Checking for Boost program_options library version >= 1.35.0... yes
    Checking for Boost regex library version >= 1.35.0... yes
    Checking for SDL_ttf library version >= 2.0.8... yes
    Checking for SDL_mixer library version >= 1.2.0... yes
    Checking for SDL_image library version >= 1.2.0... yes
    Checking for Ogg Vorbis support in SDL... yes
    Checking for C library X11... yes
    Checking for dbus-1... (cached) yes
    Checking for fribidi >= 0.10.9... (cached) yes
    Checking for Boost unit_test_framework library... yes
    If any config checks fail, look in build/config.log for details
    If a check fails spuriously due to caching, use --config=force to force its rerun
    
    
    scons: warning: Ignoring missing SConscript 'packaging/windows/SConscript'
    File "/home/work/wesnoth-1.10.5/SConstruct", line 467, in <module>
    KeyError: 'wesnoth_res':
      File "/home/work/wesnoth-1.10.5/SConstruct", line 494:
        env.SConscript("src/SConscript", variant_dir = build_dir, duplicate = False)
      File "/usr/lib64/python2.7/site-packages/SCons/Script/SConscript.py", line 551:
        return _SConscript(self.fs, *files, **subst_kw)
      File "/usr/lib64/python2.7/site-packages/SCons/Script/SConscript.py", line 260:
        exec _file_ in call_stack[-1].globals
      File "/home/work/wesnoth-1.10.5/src/SConscript", line 486:
        libwesnoth, env["wesnoth_res"]]
      File "/usr/lib64/python2.7/site-packages/SCons/Environment.py", line 409:
        return self._dict[key]

  2. #2
    Join Date
    Apr 2009
    Location
    Somewhere in Europe
    Posts
    54

    Default Re: Compiling wesnoth-1.10.5 fail on openSUSE12.2

    I have little insight on SCons, but I've successfully compiled Wesnoth using CMake. Would you mind trying that?

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •